Package com.plannaplan.models

# Class EmailExchangesData

java.lang.Object
com.plannaplan.models.EmailExchangesData

    public class EmailExchangesData
    extends java.lang.Object

Class to keepm data to be send after exchanges being accept

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`EmailExchangesData()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `addExchange​(User user, Exchange data)` | method to add user and his event to data to be send
`java.util.Set<java.util.Map.Entry<java.lang.Long,​java.util.List<Exchange>>>` | `getDataEntry()` | get datas entry set

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EmailExchangesData

public EmailExchangesData()

## Method Details

### addExchange

public void addExchange​(User user, Exchange data)
method to add user and his event to data to be send

Parameters:
  `user` - owner of exchange being performed
  `data` - exchange that was executed

### getDataEntry

public java.util.Set<java.util.Map.Entry<java.lang.Long,​java.util.List<Exchange>>> getDataEntry()
get datas entry set

Returns:
  set with entries that contains Long that is user id and list of hiss performed Exchanges